<?php
/**
 * PoiController class
 *
 * PHP version 5
 *
 * @category ADPOI
 * @package  Client.controller
 * @author   Evgeniy Marilev <jeka@5-soft.com>
 * @license  http://adpoi.com/display/license proprietary
 * @link     http://adpoi.com/display/PhpDoc
 */
/**
 * PoiController is the controller class
 * for rendering poi pages
 *
 * @category ADPOI
 * @package  Client.controller
 * @author   Evgeniy Marilev <jeka@5-soft.com>
 * @license  http://adpoi.com/display/license proprietary
 * @link     http://adpoi.com/display/PhpDoc
 */
class PoiController extends Controller
{
    /**
     * Renders poi search page
     * 
     * @return void
     */
    public function actionSearch()
    {
        $model = new Categories;
        $viewData = array('model' => $model);
        $this->render('search', $viewData);
    }
    
    /**
     * Renders poi detail page
     * 
     * @return void
     */
    public function actionDetail($id)
    {
        $poi = new PoiDetails;
        $poi->poi = $id;
        
        $photos = new PoiPhotos;
        $photos->poi = $id;
        
        $opinions = new PoiOpinions;
        $opinions->poi = $id;

        $visitors = new PoiVisitors;
        $visitors->poi = $id;
        
        $viewData = array(
            'poi' => $poi,
            'photos' => $photos,
            'opinions' => $opinions,
            'visitors' => $visitors,
        );
        $this->render('detail', $viewData);
    }
    
    /**
     * Displays poi popup message page
     * 
     * @param integer $id poi identifier
     * 
     * @return void
     */
    public function actionPopup($id)
    {
        $model = new PoiDetails;
        $model->poi = $id;
        $viewData = array('model' => $model);
        $this->render('popup', $viewData);
    }
    
    /**
     * Displays poi actions page
     * 
     * @return void
     */
    public function actionActions()
    {
        $model = new PoiActions;
        $model->poi = Yii::app()->request->getParam('id');
        $viewData = array('model' => $model);
        $this->render('actions', $viewData);
    }
}