<?php
/**
 * PoiSearchItem class
 *
 * PHP version 5
 *
 * @category   ADPOI
 * @package    Core.model
 * @subpackage Core.model.search
 * @author     Evgeniy Marilev <jeka@5-soft.com>
 * @license    http://adpoi.com/display/license proprietary
 * @link       http://adpoi.com/display/PhpDoc
 */
/**
 * PoiSearchItem is the PoiSearch model's search result's item object
 *
 * @property integer $id
 * @property string  $google_id
 * @property integer $google_rating
 * @property string  $name
 * @property string  $description
 * @property double  $latitude
 * @property double  $latitude_radian
 * @property double  $longitude
 * @property double  $longitude_radian
 * @property string  $phone
 * @property string  $email
 * @property string  $skype
 * @property integer $rating
 * @property double  $distance
 * 
 * @category   ADPOI
 * @package    Core.model
 * @subpackage Core.model.search
 * @author     Evgeniy Marilev <jeka@5-soft.com>
 * @license    http://adpoi.com/display/license proprietary
 * @link       http://adpoi.com/display/PhpDoc
 */
class PoiSearchItem extends Poi
{
    /**
     * Distance to poi from current position (in meters)
     * @var double
     */
    public $distance;
    
    /**
     * Favorites counter
     * @var integer
     */
    public $favorites_count;
    
    /**
     * Returns validation rules
     * 
     * @return array validation rules for model attributes.
     */
    public function rules()
    {
        return array(
        );
    }
}